kdsoap-ws-discovery-client: WSDiscoveryServiceAggregator Class Reference

kdsoap-ws-discovery-client 0.4.0

Loading...
Searching...
No Matches
WSDiscoveryServiceAggregator Class Reference

Aggregates multiple updates from the same WSDiscoveryTargetService. More...

`#include <wsdiscoveryserviceaggregator.h>`

Inheritance diagram for WSDiscoveryServiceAggregator:
[legend]
Collaboration diagram for WSDiscoveryServiceAggregator:
[legend]

## Public Slots
void | updateService (const WSDiscoveryTargetService &receivedService)

## Signals
void | serviceUpdated (const QSharedPointer< WSDiscoveryTargetService > &updatedService)

## Public Member Functions
| WSDiscoveryServiceAggregator (QObject *parent=nullptr)
| ~WSDiscoveryServiceAggregator ()

## Detailed Description

Aggregates multiple updates from the same WSDiscoveryTargetService.

When receiving multiple probe and resolve matches of the same service, this class will aggregate those into a single shared instance. This eases the administration needed by the application.

## Constructor & Destructor Documentation

## ◆ WSDiscoveryServiceAggregator()

WSDiscoveryServiceAggregator::WSDiscoveryServiceAggregator | ( | QObject * | parent = nullptr | ) |

Create a WSDiscoveryClient

Parameters

  parent | The QObject parent

## ◆ ~WSDiscoveryServiceAggregator()

WSDiscoveryServiceAggregator::~WSDiscoveryServiceAggregator | ( |  | ) |

Destructor

## Member Function Documentation

## ◆ serviceUpdated

void WSDiscoveryServiceAggregator::serviceUpdated | ( | const QSharedPointer< WSDiscoveryTargetService > & | updatedService | ) |
| signal

Emitted when a service has new information. The service instance is reused, when a new update is received. Therefore you can compare the pointers when looking for updates of a previous received service.

Parameters

  updatedService | A pointer to the updated service

## ◆ updateService

void WSDiscoveryServiceAggregator::updateService | ( | const WSDiscoveryTargetService & | receivedService | ) |
| slot

Provides a new service update.

Parameters

  receivedService | The service with updated information

The documentation for this class was generated from the following file:

- src/wsdiscoveryserviceaggregator.h